Finalize Campaign
curl --request PUT \
--url https://api.ontora.com/v1/campaign-creation/{interview_id}/finalize \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"interview_context_for_employee": "<string>",
"success_criteria": "<string>",
"agent_behavior": "<string>",
"interview_type": "<string>",
"voice_id": "<string>",
"channel": "<string>",
"welcome_screen": "<string>",
"closing_message": "<string>",
"recurring_interval": "<string>",
"interview_duration_minutes": 123,
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"quick_mode_hours": 123,
"scheduling_mode": "<string>",
"start_immediately": true,
"followup_enabled": true,
"followup_strategy": "<string>",
"followup_intervals_hours": [
123
],
"followup_deadline_days": [
123
],
"followup_message": "<string>",
"topics": [],
"questions": [],
"contacts": []
}
'import requests
url = "https://api.ontora.com/v1/campaign-creation/{interview_id}/finalize"
payload = {
"name": "<string>",
"description": "<string>",
"goal": "<string>",
"interview_context_for_employee": "<string>",
"success_criteria": "<string>",
"agent_behavior": "<string>",
"interview_type": "<string>",
"voice_id": "<string>",
"channel": "<string>",
"welcome_screen": "<string>",
"closing_message": "<string>",
"recurring_interval": "<string>",
"interview_duration_minutes": 123,
"timeframe_start": "2023-11-07T05:31:56Z",
"timeframe_end": "2023-11-07T05:31:56Z",
"quick_mode_hours": 123,
"scheduling_mode": "<string>",
"start_immediately": True,
"followup_enabled": True,
"followup_strategy": "<string>",
"followup_intervals_hours": [123],
"followup_deadline_days": [123],
"followup_message": "<string>",
"topics": [],
"questions": [],
"contacts": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
goal: '<string>',
interview_context_for_employee: '<string>',
success_criteria: '<string>',
agent_behavior: '<string>',
interview_type: '<string>',
voice_id: '<string>',
channel: '<string>',
welcome_screen: '<string>',
closing_message: '<string>',
recurring_interval: '<string>',
interview_duration_minutes: 123,
timeframe_start: '2023-11-07T05:31:56Z',
timeframe_end: '2023-11-07T05:31:56Z',
quick_mode_hours: 123,
scheduling_mode: '<string>',
start_immediately: true,
followup_enabled: true,
followup_strategy: '<string>',
followup_intervals_hours: [123],
followup_deadline_days: [123],
followup_message: '<string>',
topics: [],
questions: [],
contacts: []
})
};
fetch('https://api.ontora.com/v1/campaign-creation/{interview_id}/finalize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}campaign-creation
Finalize Campaign
Atomically save all campaign editor state (fields, questions, contacts).
Replaces existing questions and contacts to stay in sync with the frontend editor state. Called before navigating to the review page.
PUT
/
v1
/
campaign-creation
/
{interview_id}
/
finalize
Finalize Campaign
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Full campaign save — persists all editor state atomically.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Successful Response
Was this page helpful?
⌘I